Package com.xebialabs.xlrelease.domain.events

## Class ReleaseRestoredEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction3<Release,​Release,​java.lang.Object,​ReleaseRestoredEvent>
  - - com.xebialabs.xlrelease.domain.events.ReleaseRestoredEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function3<Release,​Release,​java.lang.Object,​ReleaseRestoredEvent>`

      public class ReleaseRestoredEvent$
      extends scala.runtime.AbstractFunction3<Release,​Release,​java.lang.Object,​ReleaseRestoredEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ReleaseRestoredEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReleaseRestoredEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReleaseRestoredEvent` | `apply​(Release original, Release updated, int revisionId)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple3<Release,​Release,​java.lang.Object>>` | `unapply​(ReleaseRestoredEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction3

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Function3

      `apply`

- - ### Field Detail

    - #### MODULE$

          public static final ReleaseRestoredEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### ReleaseRestoredEvent$

          public ReleaseRestoredEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function3<Release,​Release,​java.lang.Object,​ReleaseRestoredEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction3<Release,​Release,​java.lang.Object,​ReleaseRestoredEvent>`

    - #### apply

          public ReleaseRestoredEvent apply​(Release original,
                                            Release updated,
                                            int revisionId)

    - #### unapply

          public scala.Option<scala.Tuple3<Release,​Release,​java.lang.Object>> unapply​(ReleaseRestoredEvent x$0)